Get a service request by ID
get
/ServiceRequest/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves an individual service request by the associated ID.
Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful retrieve response.
Root Schema : ServiceRequest
Type:
objectAdditional Properties Allowed:
trueThe Oracle US Core ServiceRequest returned by read and search operations. Public properties are limited to the supported profile fields.
Show Source
-
asNeededBoolean: boolean
-
authoredOn: string
(date-time)
-
basedOn: array
basedOn
-
bodySite: array
bodySite
-
category: array
category
-
code(required): object
CodeableConcept
-
doNotPerform: boolean
-
encounter: object
ReferenceForServiceRequest
-
id(required): string
-
intent(required): string
-
locationReference: array
locationReference
-
meta: object
meta
-
note: array
note
-
occurrenceDateTime: string
(date-time)
-
occurrencePeriod: object
Period
-
occurrenceTiming: object
Timing
-
orderDetail: array
orderDetail
-
patientInstruction: string
-
performer: array
performer
-
priority: string
-
quantityQuantity: object
Quantity
-
quantityRange: object
Range
-
quantityRatio: object
Ratio
-
reasonCode: array
reasonCode
-
reasonReference: array
reasonReference
-
requester: object
ReferenceForServiceRequest
-
resourceType(required): string
Allowed Values:
[ "ServiceRequest" ] -
status(required): string
Allowed Values:
[ "draft", "active", "on-hold", "revoked", "completed", "entered-in-error", "unknown" ] -
subject(required): object
ReferenceForServiceRequest
-
text(required): object
Narrative
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : Narrative
Type:
Show Source
object-
div: string
The XHTML narrative content.
-
status: string
The narrative generation status.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source